Debian Bug report logs - #410085
evince: doesn't display PDF files generated by latex-beamer properly

version graph

Package: poppler; Maintainer for poppler is Loic Minier <lool@dooz.org>;

Reported by: Lucas Nussbaum <lucas@lucas-nussbaum.net>

Date: Wed, 7 Feb 2007 16:18:02 UTC

Severity: important

Fixed in version 0.5.4-2

Done: Lucas Nussbaum <lucas@lucas-nussbaum.net>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Marc 'HE' Brockschmidt <he@debian.org>:
Bug#410085; Package evince. Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
New Bug report received and forwarded. Copy sent to Marc 'HE' Brockschmidt <he@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: submit@bugs.debian.org
Subject: evince: doesn't display PDF files generated by latex-beamer properly
Date: Wed, 7 Feb 2007 17:01:44 +0100
Package: evince
Version: 0.4.0-5
Severity: important

Hi Marc,

evince doesn't display properly the attached PDF file (the black lines
at the top and the bottom are missing). xpdf displays them fine.

The file is a simple PDF generated by latex-beamer. evince also fails to
display properly other files generated using latex-beamer, e.g
/usr/share/doc/latex-beamer/examples/beamerexample3.pdf.gz 

Version 0.6.0 (available in Ubuntu edgy) is not affected by this
problem.

I'm really concerned by this bug: not being able to display such PDF
files will be a PITA if we release etch with this bug. I thought for a
while before setting the severity to important (vs serious). Is it
really to late to get a fix in ? Shouldn't we release with 0.6.1
instead, since evince will probably be the default PDF viewer in GNOME ?
-- 
| Lucas Nussbaum
| lucas@lucas-nussbaum.net   http://www.lucas-nussbaum.net/ |
| jabber: lucas@nussbaum.fr             GPG: 1024D/023B3F4F |



Information forwarded to debian-bugs-dist@lists.debian.org, Marc 'HE' Brockschmidt <he@debian.org>:
Bug#410085; Package evince. Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Extra info received and forwarded to list. Copy sent to Marc 'HE' Brockschmidt <he@debian.org>. Full text and rfc822 format available.

Message #10 received at 410085@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: 410085@bugs.debian.org
Subject: Re: Bug#410085: Acknowledgement (evince: doesn't display PDF files generated by latex-beamer properly)
Date: Wed, 7 Feb 2007 17:38:26 +0100
[Message part 1 (text/plain, inline)]
I forgot to attach the file. Done now.

In the meantime, I recompiled evince (version in etch) against the
libpoppler version in experimental (just installing the version in
experimental is not enough). This solved my problem.
-- 
| Lucas Nussbaum
| lucas@lucas-nussbaum.net   http://www.lucas-nussbaum.net/ |
| jabber: lucas@nussbaum.fr             GPG: 1024D/023B3F4F |
[evince.pdf (application/pdf, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Marc 'HE' Brockschmidt <he@debian.org>:
Bug#410085; Package evince. Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Extra info received and forwarded to list. Copy sent to Marc 'HE' Brockschmidt <he@debian.org>. Full text and rfc822 format available.

Message #15 received at 410085@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: 410085@bugs.debian.org
Cc: control@bugs.debian.org
Subject: reassigning to poppler
Date: Fri, 9 Mar 2007 09:07:02 +0100
reassign 410085 poppler
close 410085 0.5.4-2
thanks

This is actually a poppler bug, and it is fixed in the experimental
version.
-- 
| Lucas Nussbaum
| lucas@lucas-nussbaum.net   http://www.lucas-nussbaum.net/ |
| jabber: lucas@nussbaum.fr             GPG: 1024D/023B3F4F |



Bug reassigned from package `evince' to `poppler'. Request was from Lucas Nussbaum <lucas@lucas-nussbaum.net> to control@bugs.debian.org. Full text and rfc822 format available.

Bug marked as fixed in version 0.5.4-2, send any further explanations to Lucas Nussbaum <lucas@lucas-nussbaum.net> Request was from Lucas Nussbaum <lucas@lucas-nussbaum.net> to control@bugs.debian.org. Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 26 Jun 2007 22:15:00 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 17:12:16 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.